<template>
  <div class="w-full flex justify-center" >

  </div>
  <form @submit="loginSubmit" class="form-control p-2">
    <div class="flex flex-col justify-between">
      <div>
        <label class="label" for="Username">
          <span class="label-text">Username</span>
        </label>
        <input
          v-model="data.username"
          :class="[
            warning.username || warning.error ? 'input-error' : '',
            'input input-sm input-bordered w-full max-w-sm',
          ]"
          @click="
            () => {
              warning = {};
            }
          "
          type="text"
          id="Username"
          name="Username"
        />
        <span v-if="warning.username" class="m-1 text-red-400 text-sm">
          {{ warning.username }}
        </span>
      </div>
      <div>
        <label class="label" for="password">
          <span class="label-text">Password</span>
        </label>
        <div
          :class="[
            warning.password || warning.error ? 'input-error' : '',
            'input input-sm input-bordered w-full max-w-sm flex items-center p-0',
          ]"
        >
          <input
            v-model="data.password"
            class="bg-none focus:!border-none input input-xs input-ghost w-full"
            :type="displayPassword ? 'text' : 'password'"
            @click="
              () => {
                warning = {};
              }
            "
            id="password"
            name="password"
          />
          <button
            :class="displayPassword ? 'btn btn-sm btn-error' : 'btn btn-sm btn-success'"
            @click="
              (e) => {
                e.preventDefault();
                displayPassword = !displayPassword;
              }
            "
          >
            {{ displayPassword ? "sembunyikan" : "tampilkan" }}
          </button>
        </div>
        <span v-if="warning.password" class="m-1 text-red-400 text-sm">
          {{ warning.password }}
        </span>
      </div>
    </div>
    <button class="mt-2 btn btn-primary">Masuk</button>
  </form>
</template>

<script setup>
definePageMeta({
  layout: "auth"
})
const displayPassword = ref(false);
const data = reactive({
  username: "",
  password: "",
});
const warning = ref({});

const loginSubmit = (e) => {
  e.preventDefault();
  if (!data.username) {
    warning.value.username = "Username Wajib di isi";
  }
  if (data.password.length < 4) {
    warning.value.password = "Password Wajib di isi";
  }
  if (warning.value.username || warning.value.password) {
    return;
  }
  const { res, pending, error, refresh } = useFetch(
    "https://petadakwah-apidev.persis.or.id/api/auth/login",
    {
      headers: {
        "Content-type": "application/json",
      },
      method: "post",
      body: {
        username: data.username,
        password: data.password,
      },
    }
  );
  if (error) {
    warning.value.error = "Cek Kembali Username Atau password";
  }
};
</script>
